Subject: [savi] Request to IESG: Additional SAVI working group documents

From: Christian Vogt <[email-masked]>
Date: Thu, 30 Oct 2008 20:08:09 +0200

Folks,

FYI:  We have requested from IESG the addition of a Rationale document  
and
a SeND-based Solution document to the SAVI charter.  See quoted email  
below.

- Christian

Begin forwarded message:

> From: Christian Vogt <[email-masked]>
> Date: October 30, 2008 0:41:40 GMT+02:00
> To: Mark Townsley <[email-masked]>, Jari Arkko <[email-masked] 
> >,
> IESG <[email-masked]>
> Cc: Bill Fenner <[email-masked]>
> Subject: Proposal for additional SAVI working group documents
>
> Hi Mark and Jari, dear IESG members,
>
> as a co-chair of the SAVI working group and in agreement with the  
> group,
> I would like to request the addition of two document deliverables to  
> the
> SAVI charter:
>
> - a Rationale document, comprising an analysis of the design space for
>  SAVI solutions, and a motivation for the solution approach that the
>  working group has agreed to take,
>
> - a document extending the IPv6 SAVI solution document by making use  
> of
>  Secure Neighbor Discovery (SeND) where this is deployed in addition
>  to SAVI.
>
> Both documents would be valuable to have for the following reasons:
>
> The Rationale document would give the working group guidance  
> throughout
> the engineering phase, and it would provide a basis for assessing the
> eventual SAVI solution.  Furthermore, the document would certainly  
> be an
> interesting read for engineers and researchers inside and outside of
> IETF, given the large number of possible solution approaches that SAVI
> could take.
>
> The extension for SeND would provide a straightforward way to exploit
> existing means for IP address ownership verification for the purpose  
> of
> SAVI.  This gives network administrators an extra benefit for  
> deploying
> SeND, while still not requiring SeND for SAVI to work.  Note that this
> proposed extension is fully compliant to the SAVI charter, since in an
> environment where SeND is already deployed, the extension requires
> neither host changes nor SAVI-specific protocols.
>
> Finally, I suggest the following milestones related to the proposed  
> new
> documents:
>
> Dec 2008  First WG draft on SAVI solution rationale
> Dec 2008  First WG draft on SeND-based SAVI extension
> May 2009  Submit SAVI solution rationale to IESG for Informational RFC
> May 2009  Submit SeND-based SAVI extension to IESG for Informational  
> RFC
>
> I would be happy to answer any questions you may have, and I am  
> looking
> forward to hear about your decision.  Thanks, and best regards,
>
> - Christian, for Bill and Christian

---

From: Christian Vogt <[email-masked]>
Date: Thu, 13 Nov 2008 22:40:45 +0200

Christian Vogt wrote:

> FYI:  We have requested from IESG the addition of a Rationale  
> document and
> a SeND-based Solution document to the SAVI charter.  [...]

...and we got both.  Here are the new milestones from the SAVI charter:

[...]
[...]
[...]

- Christian